Bug 473159 - update F9 -> F10 fails
update F9 -> F10 fails
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
10
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-26 15:39 EST by e.mergl
Modified: 2009-01-31 05:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-31 05:02:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description e.mergl 2008-11-26 15:39:58 EST
Description of problem:

I tried to update my F9 installation to F10. On the screen saying "Preparing transaction from installation source..." suddenly the background was flooded with error messages like this:

1594 Header V3 DSA signature: BAD, key ID 4f2abfd2
error: rpmdbNextIterator: skipping h#

The progress bar stayed at 30%. After 30 minutes I rebooted the PC.
Fortunately the old F9 installation was still usable.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Chris Lumens 2008-12-02 09:55:10 EST
This sounds like potential media corruption to me.  Can you attach /tmp/anaconda.log and /tmp/syslog to this bug report?  On the off hand that it's actually an RPM bug (see the error message in the initial comment), I'm also reassigning to RPM.
Comment 2 e.mergl 2008-12-03 15:25:32 EST
sorry, but I can't provide a logfile, because I did a fresh installation afterwards. Because this fresh installation succeeded I don't think the reason was a media corruption.
Comment 3 Panu Matilainen 2008-12-04 16:03:34 EST
> 1594 Header V3 DSA signature: BAD, key ID 4f2abfd2
> error: rpmdbNextIterator: skipping h#

This is rpm spotting a damaged header in the rpmdb which as such isn't a bug, if it gets stuck then that might be different. Unless you happen to have a backup of the old rpmdb somewhere, there's too little data here to investigate or do anything about this I'm afraid.
Comment 4 Panu Matilainen 2009-01-31 05:02:00 EST
Oh well, there's just not enough here to investigate. Please reopen if you encounter it again.

Note You need to log in before you can comment on or make changes to this bug.